#include "player.h"

Player::Player (TPlayer _color) : color (_color),
attackLeft (MAX_ATTACK),
blockLeft (MAX_BLOCK) { }

Player::~Player () { }

TPlayer Player::getPlayer () const
{
    return color;
}

int Player::getAttackLeft () const
{
    return attackLeft;
}

int Player::getBlockLeft () const
{
    return blockLeft;
}

int Player::DecreaseAttack ()
{
    if (attackLeft > 0)
        return --attackLeft;
    return 0;
}

// Should be use rarely

int Player::IncreaseAttack ()
{
    if (attackLeft < MAX_ATTACK)
        return ++attackLeft;
    return MAX_ATTACK;
}

int Player::DecreaseBlock ()
{
    if (blockLeft > 0)
        return --blockLeft;
    return 0;
}

// Should be use rarely

int Player::IncreaseBlock ()
{
    if (blockLeft < MAX_BLOCK)
        return ++blockLeft;
    return MAX_BLOCK;
}
