/* 
 * File:   options.h
 * Author: vest
 *
 * Created on 21 Декабрь 2008 г., 13:58
 */

#ifndef _TOPTIONS_H
#define	_TOPTIONS_H

#include "types.h"

class TOptions
{
public:

    enum TAlign
    {
        Left, Right
    };

    static const Glib::ustring FILENAME_OPTIONS;
    static const Glib::ustring FILENAME_DTD;

    TOptions ();
    TOptions (const TOptions& orig);
    virtual ~TOptions ();

    TOptions& operator = (const TOptions& o);

    static TOptions LoadOptions ();
    static void SaveOptions (const TOptions& options);

public:
    TPlayer firstPlayer;
    TPlayerOption bluePlayer;
    TPlayerOption redPlayer;
    int pause; // in milliseconds
    Glib::ustring bgPath;
    TAlign helpAlign;
};

#endif	/* _TOPTIONS_H */
