/* 
 * File:   player.h
 * Author: vest
 *
 * Created on 3 Июль 2008 г., 1:56
 */

#ifndef _PLAYER_H
#define	_PLAYER_H

#ifdef	__cplusplus
extern "C"
{
#endif

// Player's color

enum TPlayer
{
    BLUE_PLAYER,
    RED_PLAYER
};

class Player
{
public:
    Player (TPlayer color);
    ~Player ();

    TPlayer getPlayer () const;
    int getAttackLeft () const;
    int getBlockLeft () const;

    int DecreaseAttack ();
    int IncreaseAttack ();

    int DecreaseBlock ();
    int IncreaseBlock ();

    static const int MAX_ATTACK = 20; // Quads
    static const int MAX_BLOCK = 6; // Quasars

private:
    TPlayer color;
    int attackLeft;
    int blockLeft;
};

#ifdef	__cplusplus
}
#endif

#endif	/* _PLAYER_H */
