/* 
 * File:   types.h
 * Author: vest
 *
 * Created on 17 Июль 2008 г., 22:53
 */

#ifndef _TYPES_H
#define	_TYPES_H

#include <glibmm/ustring.h>

#include "boardpanel.h"
#include "player.h"

enum TGameState
{
    END_STATE, // Game was end
    PLAY_STATE // Game is playing
};

enum TPlayerOption
{
    HUMAN_OPTION,
    EASYAI_OPTION,
    HARDAI_OPTION
};

// Is needed for winner announcement

enum TWinnerState
{
    NONE_WINNER,
    BLUE_WINNER,
    RED_WINNER,
    DRAW_WINNER
};

static const Glib::ustring TPLAYER_STRING[] = {"Blue", "Red"};
static const Glib::ustring TPLAYEROPTION_STRING[] = {"Human", "Easy", "Hard"};

#endif	/* _TYPES_H */

